| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
WRawDataSensor Class Reference

This class is a wrapper around the unmanaged code RawDataSensor. The goal of this classe is make accessible the unmanaged RawDataSensor's methods to managed code such as C++.NET, C#.NET etc. More...

`#include <WRawDataSensor.h>`

Inheritance diagram for WRawDataSensor:

## Public Member Functions
| WRawDataSensor ()
| WRawDataSensor (WBaseCommunication^ pcomm)
| ~WRawDataSensor ()
WCommunicationStatus | Initialize () override
| Initializes the object to connect the sensor.
void | ResetDevice ()
| Resets the device.
void | RebootDevice ()
| Reboots the device.
WNetworkInformation | GetNetworkInformation ()
| Gets whole data information.
Protocol | GetRawDataExchangeMode ()
| Get the raw data exchange mode.
ScanPacketType | GetDataPacketType ()
| Gets the data packed type.
AngularResolution | GetAngularResolution ()
| Gets the angular resolution.
ScanningDirection | GetScanningDirection ()
| Gets the scanning direction.
WAngleRange | GetAngleRange ()
| Gets the angle range.
unsigned int | GetSkipScan ()
| Gets the skip scan.
unsigned int | GetImmunityLevel ()
| Gets the immunity level.
WContaminationThreshold | GetContaminationThreshold ()
| Gets the contamination threshold.
WSoftwareVersion | GetVersion () override
| Gets the sensor version data.
unsigned int | GetPlatformVersion () override
| Gets the platform version.
int | GetTemperature () override
| Gets the temperature.
List< WRawDataError^> | GetErrorLog ()
| Gets the error log.
WSensorLeds | GetSensorLeds ()
| Gets the sensor's leds status.
WSensorLamps | GetSensorLamps ()
| Gets the sensor lamps status.
long | GetRuntimeHours () override
| Gets the sensor runtime hours.
String | GetDeviceName () override
| Gets the sensor's name.
FilterStatus | GetFilterStatus ()
| Gets the filter status.
WindowCalibrationStatus | GetWindowCalibrationStatus ()
| Gets the window calibration status.
WConfigurationResult | SetNetworkInformation (WNetworkInformation^ pNetwork)
| Set the overall network information except IP v4 and Port.
WConfigurationResult | SetRawDataExchangeMode (Protocol pProtocol)
| Sets the RAW data exchange mode. Can be either TCP or UDP.
WConfigurationResult | SetDataPacketType (ScanPacketType pPacketType)
| Sets the packet type returned in raw data. Can be either ScanPacketType::Distance or ScanPacketType::DistanceAndIntensity.
WConfigurationResult | SetAngularResolution (AngularResolution pResolution)
| Sets the angle resolution. Can be either AngularResolution::ZeroToZeroPointOneAtFourtyHz or AngularResolution::ZeroToZeroPointTwoAtEightyHz.
WConfigurationResult | SetScanningDirection (ScanningDirection pScanDirection)
| Sets the scanning direction. Can be either ScanningDirection::Clockwise or ScanningDirection::CounterClockwise.
WConfigurationResult | SetAngleRange (WAngleRange^ pAngleRange)
| Sets the Angle range (start and stop)
WConfigurationResult | SetSkipScan (int pSkipScan)
| Sets the skip scan.
WConfigurationResult | SetImmunityLevel (int pImmunityLevel)
| Sets the sensor's immunity level.
WConfigurationResult | SetContaminationThreshold (WContaminationThreshold^ pContaminationThreshold)
| Sets the contamination level threshold for warning and error.
WConfigurationResult | SetSensorLeds (WSensorLeds^ pLeds)
| Sets the sensors external leds status (ON or OFF)
WConfigurationResult | SetDeviceName (String^ pName) override
| Sets the sensor's name.
WConfigurationResult | SetFilterStatus (FilterStatus pFilterStatus)
| Sets the device's filter status.
void | StartWindowCalibrationStatus ()
| Starts the window calibration status.
WRawData | RetrieveRawData ()
void | SendMdi ()
| Request the sensor to start sending MDI data to host.
void | StopMdi ()
| Request the sensor to stop sending MDI data to host.
WContaminationStatus | GetContaminationStatus () override
| Gets the contamination status.

## Protected Member Functions
WConfigurationResult | toManagedInstance (ConfigurationResult pResult)

## Detailed Description

This class is a wrapper around the unmanaged code RawDataSensor. The goal of this classe is make accessible the unmanaged RawDataSensor's methods to managed code such as C++.NET, C#.NET etc.

## Constructor & Destructor Documentation

## ◆ WRawDataSensor() [1/2]

WRawDataSensor::WRawDataSensor | ( |  | ) |
| inline

## ◆ WRawDataSensor() [2/2]

WRawDataSensor::WRawDataSensor | ( | WBaseCommunication^ | pcomm | ) |
| inline

## ◆ ~WRawDataSensor()

WRawDataSensor::~WRawDataSensor | ( |  | ) |
| inline

## Member Function Documentation

## ◆ GetAngleRange()

WAngleRange WRawDataSensor::GetAngleRange | ( |  | ) |
| inline

Gets the angle range.

Returns
  An encapsulation of angle range

## ◆ GetAngularResolution()

AngularResolution WRawDataSensor::GetAngularResolution | ( |  | ) |
| inline

Gets the angular resolution.

Returns
  An encapsulation of angle resolution

## ◆ GetContaminationStatus()

WContaminationStatus WRawDataSensor::GetContaminationStatus | ( |  | ) |
| inline override

Gets the contamination status.

Returns
  An integer representing the contamination status

## ◆ GetContaminationThreshold()

WContaminationThreshold WRawDataSensor::GetContaminationThreshold | ( |  | ) |
| inline

Gets the contamination threshold.

Returns
  An encapsulation of the contamination threshold

## ◆ GetDataPacketType()

ScanPacketType WRawDataSensor::GetDataPacketType | ( |  | ) |
| inline

Gets the data packed type.

Returns
  ScanPacketType::Distance or ScanPacketType::DistanceAndIntensity enum

## ◆ GetDeviceName()

String WRawDataSensor::GetDeviceName | ( |  | ) |
| inline override

Gets the sensor's name.

Returns
  A string representing the sensor's name

## ◆ GetErrorLog()

List< WRawDataError^> WRawDataSensor::GetErrorLog | ( |  | ) |
| inline

Gets the error log.

Returns
  An encapsulation representing the error log

## ◆ GetFilterStatus()

FilterStatus WRawDataSensor::GetFilterStatus | ( |  | ) |
| inline

Gets the filter status.

Returns
  An enum representing the filter status

## ◆ GetImmunityLevel()

unsigned int WRawDataSensor::GetImmunityLevel | ( |  | ) |
| inline

Gets the immunity level.

Returns
  An integer representing the immunity level

## ◆ GetNetworkInformation()

WNetworkInformation WRawDataSensor::GetNetworkInformation | ( |  | ) |
| inline

Gets whole data information.

Returns
  An encapsulated way to group the network information

## ◆ GetPlatformVersion()

unsigned int WRawDataSensor::GetPlatformVersion | ( |  | ) |
| inline override

Gets the platform version.

Returns
  an unsigned int containing the version number

## ◆ GetRawDataExchangeMode()

Protocol WRawDataSensor::GetRawDataExchangeMode | ( |  | ) |
| inline

Get the raw data exchange mode.

Returns
  Protocol::Udp or Protocol::Tcp enum

## ◆ GetRuntimeHours()

long WRawDataSensor::GetRuntimeHours | ( |  | ) |
| inline override

Gets the sensor runtime hours.

Returns
  A long representing the sensor's runtime hours

## ◆ GetScanningDirection()

ScanningDirection WRawDataSensor::GetScanningDirection | ( |  | ) |
| inline

Gets the scanning direction.

Returns
  ScanningDirection::Clockwise or ScanningDirection::CounterClockwise enum

## ◆ GetSensorLamps()

WSensorLamps WRawDataSensor::GetSensorLamps | ( |  | ) |
| inline

Gets the sensor lamps status.

Returns
  An encapsulation of the sensor's internal lamps status

## ◆ GetSensorLeds()

WSensorLeds WRawDataSensor::GetSensorLeds | ( |  | ) |
| inline

Gets the sensor's leds status.

Returns
  An encapsulation representing the sensor's leds status

## ◆ GetSkipScan()

unsigned int WRawDataSensor::GetSkipScan | ( |  | ) |
| inline

Gets the skip scan.

Returns
  An integer representing the skip scan

## ◆ GetTemperature()

int WRawDataSensor::GetTemperature | ( |  | ) |
| inline override

Gets the temperature.

Returns
  An integer representing the sensor's temperature

## ◆ GetVersion()

WSoftwareVersion WRawDataSensor::GetVersion | ( |  | ) |
| inline override

Gets the sensor version data.

Returns
  An encapsulation representing the sensor version

## ◆ GetWindowCalibrationStatus()

WindowCalibrationStatus WRawDataSensor::GetWindowCalibrationStatus | ( |  | ) |
| inline

Gets the window calibration status.

Returns
  an enum representing the window calibration status

## ◆ Initialize()

WCommunicationStatus WRawDataSensor::Initialize | ( |  | ) |
| inline override

Initializes the object to connect the sensor.

## ◆ RebootDevice()

void WRawDataSensor::RebootDevice | ( |  | ) |
| inline

Reboots the device.

## ◆ ResetDevice()

void WRawDataSensor::ResetDevice | ( |  | ) |
| inline

Resets the device.

## ◆ RetrieveRawData()

WRawData WRawDataSensor::RetrieveRawData | ( |  | ) |
| inline

## ◆ SendMdi()

void WRawDataSensor::SendMdi | ( |  | ) |
| inline

Request the sensor to start sending MDI data to host.

## ◆ SetAngleRange()

WConfigurationResult WRawDataSensor::SetAngleRange | ( | WAngleRange^ | pAngleRange | ) |
| inline

Sets the Angle range (start and stop)

Parameters

  pAngleRange | The encapsulation of the angle range to be set

Returns
  A configuration result encapsulation

## ◆ SetAngularResolution()

WConfigurationResult WRawDataSensor::SetAngularResolution | ( | AngularResolution | pResolution | ) |
| inline

Sets the angle resolution. Can be either AngularResolution::ZeroToZeroPointOneAtFourtyHz or AngularResolution::ZeroToZeroPointTwoAtEightyHz.

Parameters

  pResolution |

Returns
  A configuration result encapsulation

## ◆ SetContaminationThreshold()

WConfigurationResult WRawDataSensor::SetContaminationThreshold | ( | WContaminationThreshold^ | pContaminationThreshold | ) |
| inline

Sets the contamination level threshold for warning and error.

Parameters

  pContaminationThreshold | The encapsulation of contamination leve threshold

Returns
  A configuration result encapsulation

## ◆ SetDataPacketType()

WConfigurationResult WRawDataSensor::SetDataPacketType | ( | ScanPacketType | pPacketType | ) |
| inline

Sets the packet type returned in raw data. Can be either ScanPacketType::Distance or ScanPacketType::DistanceAndIntensity.

Parameters

  pPacketType | The packet type to be set

Returns
  A configuration result encapsulation

## ◆ SetDeviceName()

WConfigurationResult WRawDataSensor::SetDeviceName | ( | String^ | pName | ) |
| inline override

Sets the sensor's name.

Returns
  A string representing the sensor's name

## ◆ SetFilterStatus()

WConfigurationResult WRawDataSensor::SetFilterStatus | ( | FilterStatus | pFilterStatus | ) |
| inline

Sets the device's filter status.

Parameters

  pFilterStatus | An enum representing the filter status (on or off)

Returns

## ◆ SetImmunityLevel()

WConfigurationResult WRawDataSensor::SetImmunityLevel | ( | int | pImmunityLevel | ) |
| inline

Sets the sensor's immunity level.

Parameters

  pImmunityLevel | The immunity level to be set

Returns
  A configuration result encapsulation

## ◆ SetNetworkInformation()

WConfigurationResult WRawDataSensor::SetNetworkInformation | ( | WNetworkInformation^ | pNetwork | ) |
| inline

Set the overall network information except IP v4 and Port.

Parameters

  pNetwork | An encapsulation of the network data

Returns
  A configuration result encapsulation

## ◆ SetRawDataExchangeMode()

WConfigurationResult WRawDataSensor::SetRawDataExchangeMode | ( | Protocol | pProtocol | ) |
| inline

Sets the RAW data exchange mode. Can be either TCP or UDP.

Parameters

  pProtocol | The exchange mode (TCP or UDP)

Returns
  A configuration result encapsulation

## ◆ SetScanningDirection()

WConfigurationResult WRawDataSensor::SetScanningDirection | ( | ScanningDirection | pScanDirection | ) |
| inline

Sets the scanning direction. Can be either ScanningDirection::Clockwise or ScanningDirection::CounterClockwise.

Parameters

  pScanDirection |

Returns
  A configuration result encapsulation

## ◆ SetSensorLeds()

WConfigurationResult WRawDataSensor::SetSensorLeds | ( | WSensorLeds^ | pLeds | ) |
| inline

Sets the sensors external leds status (ON or OFF)

Parameters

  pLeds | The encapsulation of the leds to be set

Returns
  A configuration result encapsulation

## ◆ SetSkipScan()

WConfigurationResult WRawDataSensor::SetSkipScan | ( | int | pSkipScan | ) |
| inline

Sets the skip scan.

Parameters

  pSkipScan | The skip scan value to be set

Returns
  A configuration result encapsulation

## ◆ StartWindowCalibrationStatus()

void WRawDataSensor::StartWindowCalibrationStatus | ( |  | ) |
| inline

Starts the window calibration status.

## ◆ StopMdi()

void WRawDataSensor::StopMdi | ( |  | ) |
| inline

Request the sensor to stop sending MDI data to host.

## ◆ toManagedInstance()

WConfigurationResult WRawDataSensor::toManagedInstance | ( | ConfigurationResult | pResult | ) |
| inline protected

The documentation for this class was generated from the following file:

- WRawDataSensor.h